%define name	clusterit
%define	version 2.4
%define release	%mkrel 4

Summary:	Collection of clustering tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Remote access
URL:		http://clusterit.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Source1:	dshbak.sh
Patch1:		Makefile.patch.bz2
BuildRequires:  X11-devel
Requires:	openssh-clients, rsh, gawk
Provides:	%{name}-%{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
This is a collection of clustering tools, to turn your ordinary 
everyday pile of UNIX workstations into a speedy parallel beast.
dsh : run a command on a cluster of machines.  dshbak : format the 
output of dsh. barrier, barrierd : synchronize a process on a number 
of machines. jsd : simple command scheduling daemon for remote execution. 
jsh : run scheduled commands on remote machines. run : run a command 
on a machine at random. seq : run a command on a cluster in sequence. 
pcp : copy a file to a cluster of machines. pdf : display free disk space
across a group of machines. prm : delete a file or files on a cluster 
of machines. rvt : a specialized VT100 emulator for the X window system. 
dvt : clustersed quickly dissect cluster files.

%prep
rm -rf ${buildroot}
%setup -q
#%patch1 -p0

%build
install -m644 %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/tools/dshbak.sh
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc INSTALL CHANGES README html/*.html html/man/*.html
%{_mandir}/man1/*
%{_bindir}/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.4-4mdv2009.0
+ Revision: 243532
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.4-2mdv2008.1
+ Revision: 170786
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.4-1mdv2008.1
+ Revision: 123242
- kill re-definition of %%buildroot on Pixel's request
- import clusterit


* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 2.4-1mdk
- New release 2.4
- Fix Url

* Fri Sep 09 2005 Antoine Ginies <aginies@mandrakesoft.com> 2.3.1-2mdk
- Fix BuildRquires

* Fri Jul 22 2005 Erwan Velu <velu@seanodes.com> 2.3.1-1mdk
- 2.3.1

* Wed May 19 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 2.2-1mdk
- release 2.2
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 2.0-6mdk
- build for new glibc 
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-5mdk
- build with gcc 3.2
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-4mdk
- Build on 8.2 with 2.96
* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- fix ~rpm/... pb
* Fri May 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-2mdk 
- solve conflict problem with sh-utils
- correct stupid error of changelog
* Tue Apr 30 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-1mdk
- first release for Mandrakesoft :-)
